Skip to main content
GET
/
addresses
/
verifications
/
{id}
Get address verification
curl --request GET \
  --url https://api.paxos.com/v2/addresses/verifications/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "network": "<string>",
  "address": "<string>",
  "signature_verification": {
    "message": "<string>",
    "nonce": "<string>",
    "signature": "<string>"
  },
  "small_deposit_verification": {
    "amount": "<string>",
    "deposit_address": "<string>",
    "transaction_hash": "<string>",
    "asset": "<string>"
  },
  "manual_verification": {
    "verified_by": "<string>",
    "reason": "<string>"
  },
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "expires_at": "2023-11-07T05:31:56Z",
  "ref_id": "<string>"
}
OAuth Scope
address_ownership:read_verification

Authorizations

Authorization
string
header
required

Paxos APIs use OAuth 2 with the client credentials grant flow.

Token URLs:

Learn more in the API credentials guide →

Path Parameters

id
string
required

Response

200 - application/json

A successful response.

id
string
network
string
address
string
verification_method
enum<string>
Available options:
SIGNATURE,
SMALL_DEPOSIT,
MANUAL
status
enum<string>
Available options:
PENDING,
APPROVED,
EXPIRED
signature_verification
object
small_deposit_verification
object
manual_verification
object

ManualVerification is populated on admin endpoints only when verification_method is MANUAL. Not returned on public endpoints.

created_at
string<date-time>
updated_at
string<date-time>
expires_at
string<date-time>

expires_at is computed server-side at creation time and is always populated.

ref_id
string